///////////////////////////////////////////////////////////////////////
//                                                   41 Post                                       //
// Unity3D: Programming a machine gun post series                                //
// Created by DimasTheDriver in 06/Feb/2010                                      //
// Part of 'Unity3D: Programming a machine gun - Part 2' post.               //
// Availiable at:     http://www.41post.com/?p=2868                              //
/////////////////////////////////////////////////////////////////////

using UnityEngine;
using System.Collections;

public class BulletDestroyer : MonoBehaviour 
{
	// Update is called once per frame
	void Update () 
	{
		//if the AutoDestruct() method isn't already being invoked
		if(!IsInvoking("AutoDestruct"))
		{
			//schedule the execution of the AutoDestruct() method to happen in the next 3 seconds
			Invoke("AutoDestruct",3);
		}
	
	}
	
	//destroys the game object
	void AutoDestruct()
	{
		Destroy(gameObject);
	}
}
